Skip to main content
GET
/
agents
/
{id}
Get agent detail
curl --request GET \
  --url https://api.x84.ai/agents/{id}
{
  "nftMint": "DRpbCBMxVnDK7maPM5tGv6MvB3v1sRMC86PZ8okm21hy",
  "owner": "D6j5dis544qzYmSNixwYwBXqcDqgWiFHpi6hebPEQNVu",
  "metadataUri": "https://arweave.net/abc123",
  "categories": [
    "defi",
    "trading"
  ],
  "active": true,
  "reputation": {
    "verifiedCount": 42,
    "verifiedAvgScore": 90,
    "unverifiedCount": 5,
    "unverifiedAvgScore": 72,
    "validationCount": 3
  },
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "ownerVersion": "1",
  "feedbackAuthority": "FbA1EbECHnpmVGirBGhCRjtek8VDaL6DT3sQqQU4NXHV",
  "metadataHash": "a1b2c3d4e5f67890a1b2c3d4e5f67890a1b2c3d4e5f67890a1b2c3d4e5f67890",
  "tags": [
    "b5d4045c3f466fa91fe2cc6abe79232a1a57cdf104f7a26e716e0a1e2789df78",
    "88cd2108b5347d973cf39cdf9053d7dd42704876d8c9a9bd8e2d168259d3ddf7"
  ],
  "delegationCount": "2",
  "services": [
    {
      "address": "9xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
      "serviceType": "a2a",
      "endpoint": "https://agent.x84.ai/a2a/my-agent",
      "version": "1.0.0",
      "active": true
    },
    {
      "address": "3xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
      "serviceType": "mcp",
      "endpoint": "https://agent.x84.ai/mcp/my-agent",
      "version": "1.0.0",
      "active": true
    }
  ]
}

Path Parameters

id
string
required

NFT mint pubkey (agent ID)

Example:

"DRpbCBMxVnDK7maPM5tGv6MvB3v1sRMC86PZ8okm21hy"

Response

200 - application/json

Agent detail with services and reputation

nftMint
string
required

NFT mint pubkey (agent ID)

Example:

"DRpbCBMxVnDK7maPM5tGv6MvB3v1sRMC86PZ8okm21hy"

owner
string
required

Current owner pubkey

Example:

"D6j5dis544qzYmSNixwYwBXqcDqgWiFHpi6hebPEQNVu"

active
boolean
required

Whether agent is active

Example:

true

reputation
object
required

Reputation summary

address
string
required

PDA address

Example:

"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"

ownerVersion
string
required

Owner version (increments on transfer)

Example:

"1"

feedbackAuthority
string
required

Feedback authority pubkey

Example:

"FbA1EbECHnpmVGirBGhCRjtek8VDaL6DT3sQqQU4NXHV"

delegationCount
string
required

Delegation count

Example:

"2"

services
object[]
required

Registered services

metadataUri
string

Off-chain metadata URI

Example:

"https://arweave.net/abc123"

categories
string[]

Resolved category names (from tags)

Example:
["defi", "trading"]
metadataHash
string

SHA-256 hash of metadata (hex)

tags
string[]

Raw tag hashes (hex)